Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7704 - whois no longer functional for any web server on planet ?
Summary: whois no longer functional for any web server on planet ?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fwhois
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL: http://mirror.ox.ac.uk/rpm2html/rawhi...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-09 17:10 UTC by Jim Walker
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 02:46:43 UTC


Attachments (Terms of Use)

Description Jim Walker 1999-12-09 17:10:19 UTC
Hello:
I note your name on the fwhois changelog:
http://mirror.ox.ac.uk/rpm2html/rawhide.redhat.com/i386/RedHat/RPMS/fwhois-
1.00-11.i386.html

Question:
Are you aware that whois as it is now if not functional?

Currently whois/fwhois queries: rs.internic.net

This is no longer valid with the addition of new registrars (register.com,
et al).

In order to make whois a functional tool, it needs to query:
whois.crsnic.net

This is the new central whois lookup for netsol, register.com, etc.

rs.internic.net only queries NetSol (very bad and get's hosting companies in
trouble).

Ideas?

Best Wishes,
Jim Walker
TVCNet.com



More lookup data after checking whois.crsnic.net:

                "ac"=>"whois.nic.ac",
                "al"=>"whois.ripe.net",
                "am"=>"whois.amnic.net",
                "art"=>"whois.skyscape.net",
                "arts"=>"whois.skyscape.net",
                "at"=>"whois.ripe.net",
                "au"=>"whois.aunic.net",
                "az"=>"whois.ripe.net",
                "ba"=>"whois.ripe.net",
                "bank"=>"whois.skyscape.net",
                "be"=>"whois.ripe.net",
                "bg"=>"whois.ripe.net",
                "biz"=>"rs.mcs.net",
                "by"=>"whois.ripe.net",
                "ca"=>"whois.cdnnet.ca",
                "can"=>"whois.easydns.net",
                "cc"=>"whois.nic.cc",
                "cdn"=>"whois2.vrx.net",
                "ch"=>"whois.nic.ch",
                "cn"=>"whois.apnic.net",
                "com"=>"rs.internic.net",
                "corp"=>"rs.mcs.net",
                "cx"=>"whois.nic.cx",
                "cy"=>"whois.ripe.net",
                "cz"=>"whois.ripe.net",
                "dds"=>"whois.vrx.net",
                "de"=>"whois.ripe.net",
                "dir"=>"whois.skyscape.net",
                "dk"=>"whois.ripe.net",
                "dz"=>"whois.ripe.net",
                "edu"=>"rs.internic.net",
                "ee"=>"whois.ripe.net",
                "eg"=>"whois.ripe.net",
                "es"=>"whois.ripe.net",
                "etc"=>"whois.easydns.net",
                "faq"=>"whois.vrx.net",
                "fi"=>"whois.ripe.net",
                "film"=>"whois.skyscape.net",
                "fo"=>"whois.ripe.net",
                "fr"=>"whois.ripe.net",
                "fund"=>"whois.skyscape.net",
                "gallery"=>"whois.vrx.net",
                "gb"=>"whois.ripe.net",
                "gb.com"=>"whois.nomination.net",
                "gb.net"=>"whois.nomination.net",
                "ge"=>"whois.ripe.net",
                "gmbh"=>"whois.vrx.net",
                "gov"=>"whois.nic.gov",
                "gr"=>"whois.ripe.net",
                "gs"=>"whois.adamsnames.tc",
                "help"=>"whois.skyscape.net",
                "hk"=>"whois.apnic.net",
                "hotel"=>"whois.skyscape.net",
                "hr"=>"whois.ripe.net",
                "hu"=>"whois.ripe.net",
                "ie"=>"whois.ripe.net",
                "il"=>"whois.ripe.net",
                "is"=>"whois.ripe.net",
                "isp"=>"whois.skyscape.net",
                "it"=>"whois.nic.it",
                "jp"=>"whois.nic.ad.jp",
                "k12"=>"rs.mcs.net",
                "kr"=>"whois.apnic.net",
                "li"=>"whois.nic.ch",
                "list"=>"whois.vrx.net",
                "llb"=>"whois.vrx.net",
                "lt"=>"whois.ripe.net",
                "lu"=>"whois.ripe.net",
                "lv"=>"whois.ripe.net",
                "ma"=>"whois.ripe.net",
                "md"=>"whois.ripe.net",
                "med"=>"whois.skyscape.net",
                "mil"=>"whois.nic.mil",
                "mk"=>"whois.ripe.net",
                "ms"=>"whois.adamsnames.tc",
                "mt"=>"whois.ripe.net",
                "mx"=>"nic.mx",
                "music"=>"whois.skyscape.net",
                "net"=>"rs.internic.net",
                "nic"=>"whois.vrx.net",
                "nl"=>"domain-registry.nl",
                "no"=>"whois.ripe.net",
                "npo"=>"rs.mcs.net",
                "org"=>"rs.internic.net",
                "php"=>"whois.easydns.net",
                "pl"=>"whois.ripe.net",
                "prices"=>"whois.vrx.net",
                "pt"=>"whois.ripe.net",
                "radio"=>"whois.skyscape.net",
                "ro"=>"whois.ripe.net",
                "ru"=>"whois.ripn.ru",
                "se"=>"whois.nic-se.se",
                "sg"=>"whois.nic.net.sg",
                "si"=>"whois.ripe.net",
                "sh"=>"whois.nic.sh",
                "sk"=>"whois.ripe.net",
                "sky"=>"whois.skyscape.net",
                "sm"=>"whois.ripe.net",
                "sql"=>"whois.vrx.net",
                "su"=>"whois.ripe.net",
                "tc"=>"whois.adamsnames.tc",
                "tf"=>"whois.adamsnames.tc",
                "tj"=>"whois.nic.tj",
                "tn"=>"whois.ripe.net",
                "tr"=>"whois.ripe.net",
                "tw"=>"whois.apnic.net",
                "ua"=>"whois.ripe.net",
                "uk"=>"whois.nic.uk",
                "uk.com"=>"whois.nomination.net",
                "us"=>"whois.isi.edu",
                "va"=>"whois.ripe.net",
                "vg"=>"whois.adamsnames.tc",
                "video"=>"whois.skyscape.net",
                "xxx"=>"whois.skyscape.net",
                "y2k"=>"whois.easydns.net",
                "yu"=>"whois.ripe.net",
                "zine"=>"whois.skyscape.net",
                "zoo"=>"whois.vrx.net",
                "666"=>"whois.easydns.net",
                "800"=>"whois.vrx.net",
                "888"=>"whois.vrx.net",
                "int"=>"whois.isi.edu"

Comment 1 Cristian Gafton 2000-01-27 08:37:59 UTC
assign to the right component

Comment 2 Nalin Dahyabhai 2000-02-05 02:46:59 UTC
This will be fixed in fwhois-1.00-12 (or later) in Raw Hide.  Thanks for the
heads-up.


Note You need to log in before you can comment on or make changes to this bug.